Bug 140314 - Serious USB problem: device not accepting address
Summary: Serious USB problem: device not accepting address
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-22 09:57 UTC by Carles Cufi
Modified: 2015-01-04 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 01:09:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output for USB bluetooth problem (15.09 KB, text/plain)
2004-11-22 10:07 UTC, Carles Cufi
no flags Details

Description Carles Cufi 2004-11-22 09:57:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:

After updating my Fedora Core 3 installation, very serious USB debug
messages have started to appear in dmesg:

usb 2-2: new full speed USB device using address 7
usb 2-2: USB disconnect, address 7
usb 2-2: new full speed USB device using address 8
usb 2-2: USB disconnect, address 8
usb 2-2: new full speed USB device using address 9
usb 2-2: USB disconnect, address 9
usb 2-2: new full speed USB device using address 10

Every time this happens (~ w/ a frequency of 1 time/minute or so), it
freezes user input for some seconds. 

Apparently, the cause seems to be the CSR Bluetooth chipset connected
by USB and integrated in my Dell D600. Please note that this happens
with ALL 3 available kernels for Fedora, so I am suspecting is some
other component update that caused this, such as udev, since with a
fresh, non-updated FC3 install this does not happen.

To stop this happening I do:

sudo rmmod hci_usb

That eliminates the problem, but also prevents me from using my
internal Bluetooth module with Bluez.

Version-Release number of selected component (if applicable):
kernel-ALL (Fedora Core 3)

How reproducible:
Always

Steps to Reproduce:
1. Boot into FC3
2. Log into gnome
3. Wait...
    

Actual Results:  
Computer 'freezes' for short periods of time but continuously, making
it unusable.

Additional info:

Comment 1 Carles Cufi 2004-11-22 10:07:54 UTC
Created attachment 107169 [details]
dmesg output for USB bluetooth problem

Comment 2 Dave Jones 2005-07-15 18:57:08 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 3 Dave Jones 2005-10-03 01:09:24 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.